﻿package
{
	// SYSTEM PACKAGE
	import flash.display.*;
	import flash.events.*;
	
	// USER INCLUDE
	import n2.iface.IN2Listener;
	import n2.N2ListenerBase;
	
	/**
	/* @func	： リスナークラス(サンプル)
	/* @author	： N2
	/* @date	： 2009/05/25 N2 作成
	**/
	public class ListenerHoge extends N2ListenerBase implements IN2Listener
	{
		/**
		/*	@brief	: コンストラクタ
		/* 
		/*	@li		: 
		/*	@param	: 
		/*	@return	: 
		/*	@author	: N2
		/*	@note	:
		/*	@date	: 2009/05/25 N2 作成
		**/
		public function ListenerHoge() 
		{
			// 操作系設置対象オブジェクトを取得
			super({ここにオブジェクトの参照を渡す});
			
			// 全てのイベントリスナを設置
			this.SetAllListener();
		}
		
		/**
		/*	@brief	: 全てのイベントリスナを設置
		/* 
		/*	@li		: interfaceで定義を強制
		/*	@param	: 
		/*	@return	: 
		/*	@author	: N2
		/*	@note	:
		/*	@date	: 2009/05/25 N2 作成
		**/
		public function SetAllListener() : void
		{
			// 設置するイベントを作成
			var listener:Array = [
				MouseEvent.MOUSE_DOWN
			];
			
			// 全てのイベントリスナを設置
			for (var i:uint = 0; i < listener.length; i++) {
				this.SetListener(listener[i]);
			}
		}
		
		/**
		/*	@brief	: イベントリスナ
		/* 
		/*	@li		: MOUSE_DOWN
		/*	@param	: MouseEvent	:	evt	:	イベント情報
		/*	@return	: 
		/*	@author	: N2
		/*	@note	:
		/*	@date	: 2009/05/25 N2 作成
		**/
		protected override function ListenerMouseDown(evt:MouseEvent) : void
		{
			// 例えばマウスダウンを定義したい場合はListenerMouseDownをオーバーライド
		}
	}
}